package Fiteiro.Gui;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import Fiteiro.Fachada;


/**
 * <p>Title: Fiteiro Virtual</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 1999</p>
 * <p>Company: UFPE</p>
 * @author Equipe Fiteiro Virtual: Marcelo Dantas(mcd), Bruno Carvalho (bcm), Marcelo Andrade(mrra)
 * @version
 */

public class FramePrincipal extends JFrame {
  JLabel jLabel1 = new JLabel();
  JButton jButton1 = new JButton();
  JButton jButton2 = new JButton();
  JButton jButton3 = new JButton();
  Fachada fachada;
  JToggleButton jToggleButton1 = new JToggleButton();

  public FramePrincipal(Fachada f) {
    try {
      jbInit();
      this.fachada = f;
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {
    jLabel1.setFont(new java.awt.Font("Serif", 1, 25));
    jLabel1.setForeground(Color.darkGray);
    jLabel1.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel1.setText("Fiteiro Virtual");
    jLabel1.setBounds(new Rectangle(55, 19, 311, 55));
    this.getContentPane().setLayout(null);
    jButton1.setBounds(new Rectangle(114, 94, 197, 41));
    jButton1.setText("Cadastro de Produtos");
    jButton1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton1_actionPerformed(e);
      }
    });
    jButton2.setBounds(new Rectangle(114, 150, 197, 40));
    jButton2.setText("Cadastro de Clientes");
    jButton2.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton2_actionPerformed(e);
      }
    });
    jButton3.setBounds(new Rectangle(114, 206, 197, 40));
    jButton3.setText("Cadastro de Vendas");
    jButton3.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton3_actionPerformed(e);
      }
    });
    jToggleButton1.setText("Sair");
    jToggleButton1.setBounds(new Rectangle(153, 265, 115, 25));
    jToggleButton1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jToggleButton1_actionPerformed(e);
      }
    });
    this.getContentPane().add(jLabel1, null);
    this.getContentPane().add(jButton2, null);
    this.getContentPane().add(jButton1, null);
    this.getContentPane().add(jButton3, null);
    this.getContentPane().add(jToggleButton1, null);
  }

  void jButton2_actionPerformed(ActionEvent e) {
    FrameCliente frameClientes = new FrameCliente(fachada);
    frameClientes.setSize(780,350);
    frameClientes.setVisible(true);
    this.setVisible(false);

  }

  void jButton1_actionPerformed(ActionEvent e) {
    FrameProduto frameProdutos = new FrameProduto(fachada);
    frameProdutos.setSize(450,350);
    frameProdutos.setVisible(true);
    this.setVisible(false);
  }

  void jButton3_actionPerformed(ActionEvent e) {
    FrameVenda frameVendas = new FrameVenda(fachada);
    frameVendas.setSize(780,350);
    frameVendas.setVisible(true);
    this.setVisible(false);
  }

  void jToggleButton1_actionPerformed(ActionEvent e) {
      this.dispose();
  }
}

