package Fiteiro.Gui;

import java.awt.*;
import javax.swing.*;
import Fiteiro.Fachada;
import java.awt.event.*;
import Fiteiro.Produto.*;

/**
 * <p>Title: Fiteiro Virtual</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 1999</p>
 * <p>Company: UFPE</p>
 * @author Equipe Fiteiro Virtual: Marcelo Dantas(mcd), Bruno Carvalho (bcm), Marcelo Andrade(mrra)
 * @version
 */

public class FrameProduto extends JFrame {
  Fachada fachada;
  JLabel jLabel1 = new JLabel();
  JButton jButton1 = new JButton();
  JButton jButton2 = new JButton();
  JLabel jLabel2 = new JLabel();
  JLabel jLabel3 = new JLabel();
  JLabel jLabel4 = new JLabel();
  JLabel jLabel5 = new JLabel();
  JLabel jLabel6 = new JLabel();
  JTextField jTextField1 = new JTextField();
  JTextField jTextField2 = new JTextField();
  JTextField jTextField3 = new JTextField();
  JTextField jTextField4 = new JTextField();
  JTextField jTextField5 = new JTextField();
  JButton jButton3 = new JButton();
  JButton jButton4 = new JButton();
  JButton jButton5 = new JButton();

   public FrameProduto(Fachada f) {
    try {
      this.fachada = f;
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    jLabel1.setFont(new java.awt.Font("SansSerif", 1, 21));
    jLabel1.setForeground(Color.darkGray);
    jLabel1.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel1.setText("Cadastro de Produtos");
    jLabel1.setBounds(new Rectangle(68, 11, 274, 39));
    this.getContentPane().setLayout(null);
    jButton1.setBounds(new Rectangle(27, 216, 112, 27));
    jButton1.setText("Cadastrar");
    jButton1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton1_actionPerformed(e);
      }
    });
    jButton2.setBounds(new Rectangle(276, 258, 108, 27));
    jButton2.setText("Voltar");
    jButton2.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton2_actionPerformed(e);
      }
    });
    jLabel2.setText("Nome :");
    jLabel2.setBounds(new Rectangle(14, 57, 42, 17));
    jLabel3.setText("Descrio :");
    jLabel3.setBounds(new Rectangle(16, 136, 69, 17));
    jLabel4.setText("Preo");
    jLabel4.setBounds(new Rectangle(16, 108, 50, 17));
    jLabel5.setText("Codigo :");
    jLabel5.setBounds(new Rectangle(16, 83, 51, 17));
    jLabel6.setText("Quantidade : ");
    jLabel6.setBounds(new Rectangle(17, 161, 80, 17));
    jTextField1.setBounds(new Rectangle(94, 53, 280, 22));
    jTextField2.setBounds(new Rectangle(94, 79, 280, 22));
    jTextField3.setBounds(new Rectangle(93, 106, 280, 22));
    jTextField4.setBounds(new Rectangle(92, 133, 280, 22));
    jTextField5.setBounds(new Rectangle(91, 160, 280, 22));
    jButton3.setBounds(new Rectangle(25, 258, 115, 26));
    jButton3.setText("Remover");
    jButton3.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton3_actionPerformed(e);
      }
    });
    jButton4.setBounds(new Rectangle(156, 216, 102, 26));
    jButton4.setText("Procurar");
    jButton4.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton4_actionPerformed(e);
      }
    });
    jButton5.setBounds(new Rectangle(155, 257, 104, 26));
    jButton5.setText("Atualizar");
    jButton5.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton5_actionPerformed(e);
      }
    });
    this.getContentPane().add(jLabel2, null);
    this.getContentPane().add(jLabel5, null);
    this.getContentPane().add(jLabel4, null);
    this.getContentPane().add(jLabel3, null);
    this.getContentPane().add(jLabel6, null);
    this.getContentPane().add(jTextField1, null);
    this.getContentPane().add(jTextField2, null);
    this.getContentPane().add(jTextField3, null);
    this.getContentPane().add(jLabel1, null);
    this.getContentPane().add(jTextField4, null);
    this.getContentPane().add(jTextField5, null);
    this.getContentPane().add(jButton1, null);
    this.getContentPane().add(jButton3, null);
    this.getContentPane().add(jButton2, null);
    this.getContentPane().add(jButton4, null);
    this.getContentPane().add(jButton5, null);
  }
  private void limparCampos(){
    jTextField1.setText("");
    jTextField2.setText("");
    jTextField3.setText("");
    jTextField4.setText("");
    jTextField5.setText("");
  }

  void jButton1_actionPerformed(ActionEvent e) {
    String nome = this.jTextField1.getText();
    String codigo = this.jTextField2.getText();
    String descricao = this.jTextField4.getText();

    try{
         double preco = Double.parseDouble(this.jTextField3.getText());
         int quantidade  = Integer.parseInt(this.jTextField5.getText());
      try{
            if(this.jTextField2.getText().equals("")) {
              limparCampos();
              JOptionPane.showMessageDialog(this,"Produto Nao Cadastrado Cdigo Invlido", "Erro de insercao",JOptionPane.OK_OPTION);
            } else{
                Produto novo = new Produto(nome,codigo,preco,descricao,quantidade);
                fachada.cadastrar(novo);

            }
    }catch(ProdutoJaCadastradoException ex){
      JOptionPane.showMessageDialog(this,ex.getMessage(), "Erro de insercao",JOptionPane.OK_OPTION);
    }
    }catch (NumberFormatException ey){
      JOptionPane.showMessageDialog(this,"Erro de Tipo Invlido", "Erro de insercao",JOptionPane.OK_OPTION);
    } limparCampos();


  }

  void jButton2_actionPerformed(ActionEvent e) {
    this.dispose();
    FramePrincipal framePrincipal = new FramePrincipal(fachada);
    framePrincipal.setSize(450,350);
    framePrincipal.setVisible(true);

  }

  void jButton3_actionPerformed(ActionEvent e) {
    String codigo = this.jTextField2.getText();
    Produto prod = new Produto(codigo);
    try{
        fachada.remover(prod);
    }catch(ProdutoNaoEncontradoException ex){
        JOptionPane.showMessageDialog(this,"Erro de Tipo Invlido", "Erro de insercao",JOptionPane.OK_OPTION);
    }
  limparCampos();
  }

  void jButton4_actionPerformed(ActionEvent e) {
    String codigo = this.jTextField2.getText();
    Produto prod = new Produto(codigo);
  try{
      double p = this.fachada.procurar(prod).getPreco();
      int q = this.fachada.procurar(prod).getQuantidade();
      this.jTextField1.setText(this.fachada.procurar(prod).getNome());
      this.jTextField2.setText(this.fachada.procurar(prod).getCodigo());
      this.jTextField3.setText(this.doubleToString(p));
      this.jTextField4.setText(this.fachada.procurar(prod).getDescricao());
      this.jTextField5.setText(this.intToString(q));

    }catch(ProdutoNaoEncontradoException ex){
      JOptionPane.showMessageDialog(this,ex.getMessage(), "Erro de insercao",JOptionPane.OK_OPTION);
    }
  }

  public String intToString(int i){
    String r = new String("");
      r += i;
    return r;
  }

  public String doubleToString(double i){
    String r = new String("");
      r += i;
    return r;
  }

  void jButton5_actionPerformed(ActionEvent e) {
    String nome = this.jTextField1.getText();
    String codigo = this.jTextField2.getText();
    String descricao = this.jTextField4.getText();
    try{
         double preco = Double.parseDouble(this.jTextField3.getText());
         int quantidade  = Integer.parseInt(this.jTextField5.getText());
        Produto novo = new Produto(nome,codigo,preco,descricao,quantidade);
        try{
              if(this.jTextField2.getText().equals("")) {
                  limparCampos();
                  JOptionPane.showMessageDialog(this,"Produto Nao Cadastrado Cdigo Invlido", "Erro de insercao",JOptionPane.OK_OPTION);
              } else{
                  Produto antigo = new Produto(codigo);
                  fachada.atualizar(antigo,novo);
              }
        }catch(ProdutoNaoEncontradoException ex){
              JOptionPane.showMessageDialog(this,ex.getMessage(), "Erro de insercao",JOptionPane.OK_OPTION);
        }
    }catch (NumberFormatException ey){
      JOptionPane.showMessageDialog(this,"Erro de Tipo Invlido", "Erro de insercao",JOptionPane.OK_OPTION);
    }
  limparCampos();
  }

}
