package Fiteiro.Gui;

import java.awt.*;
import Fiteiro.Fachada;
import javax.swing.*;
import java.awt.event.*;
import Fiteiro.Pessoa.*;
import Fiteiro.Produto.*;
import Fiteiro.Util.*;
import Fiteiro.Venda.*;

/**
 * <p>Title: Fiteiro Virtual</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 1999</p>
 * <p>Company: UFPE</p>
 * @author Equipe Fiteiro Virtual: Marcelo Dantas(mcd), Bruno Carvalho (bcm), Marcelo Andrade(mrra)
 * @version
 */

public class FrameVenda extends JFrame {
  JLabel jLabel1 = new JLabel();
  JLabel jLabel2 = new JLabel();
  JLabel jLabel3 = new JLabel();
  JButton jButton1 = new JButton();
  JButton jButton2 = new JButton();
  JTextField jTextField1 = new JTextField();
  JTextField jTextField2 = new JTextField();
  Fachada fachada;
  JList jList1 = new JList();

  public FrameVenda(Fachada f) {
    try {
      this.fachada = f;
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {
    jLabel1.setFont(new java.awt.Font("SansSerif", 1, 21));
    jLabel1.setForeground(Color.darkGray);
    jLabel1.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel1.setText("Identificao do Cliente");
    jLabel1.setBounds(new Rectangle(4, 9, 270, 48));
    this.getContentPane().setLayout(null);
    jLabel2.setText("Nome do Cliente :");
    jLabel2.setBounds(new Rectangle(4, 92, 106, 17));
    jLabel3.setText("CPF do Cliente :");
    jLabel3.setBounds(new Rectangle(3, 132, 99, 17));
    jButton1.setBounds(new Rectangle(57, 175, 166, 27));
    jButton1.setText("Vamos as compras");
    jButton1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton1_actionPerformed(e);
      }
    });
    jButton2.setBounds(new Rectangle(104, 219, 79, 27));
    jButton2.setText("Voltar");
    jButton2.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton2_actionPerformed(e);
      }
    });
    jTextField1.setBounds(new Rectangle(108, 90, 161, 23));
    jTextField2.setBounds(new Rectangle(106, 127, 162, 23));
    jList1.setBounds(new Rectangle(313, 51, 151, 166));
    this.getContentPane().add(jTextField1, null);
    this.getContentPane().add(jTextField2, null);
    this.getContentPane().add(jLabel2, null);
    this.getContentPane().add(jLabel1, null);
    this.getContentPane().add(jLabel3, null);
    this.getContentPane().add(jButton1, null);
    this.getContentPane().add(jButton2, null);
    this.getContentPane().add(jList1, null);
  }

  void jButton1_actionPerformed(ActionEvent e) {
    String nome = this.jTextField1.getText();
    String cpf  = this.jTextField2.getText();
    Usuario cliente = new Usuario(nome,cpf);
    DefaultListModel model = new DefaultListModel();
    IteradorProdutos produtos = null;
    try{
        if (this.fachada.existe(cliente)){
            fachada.listarTodosProdutos();
  //               while(produtos.hasNext() == true) {
   //                model.addElement(produtos.next());
  //              }
   //             jList1.setModel(model);
       }
  }catch(NenhumProdutoEncontradoException ex){
      JOptionPane.showMessageDialog(this,ex.getMessage(), "Erro de insercao",JOptionPane.OK_OPTION);
  }

}


  void jButton2_actionPerformed(ActionEvent e) {
    this.dispose();
    FramePrincipal framePrincipal = new FramePrincipal(fachada);
    framePrincipal.setSize(450,350);
    framePrincipal.setVisible(true);
  }

}