package Fiteiro.Pessoa;

//Title:        Fiteiro Virtual
//Version:
//Copyright:    Copyright (c) 1999
//Author:       Equipe Fiteiro Virtual: Marcelo Dantas(mcd), Bruno Carvalho (bcm), Marcelo Andrade(mrra)
//Company:      UFPE
//Description:

public class IteradorPessoasArray implements IteradorPessoas {

    private Pessoa[] pessoas;
    private int proximo = 0;    //posiao do proximo elemento na matriz

    public IteradorPessoasArray(Pessoa[] array) {
        pessoas = array;
    }

    public boolean hasNext() {
        boolean retorno = false;

        if(proximo == pessoas.length) {
            retorno = false;
        } else {
            retorno = true;
        }

        return retorno;
    }

    public Pessoa next() {
        Pessoa retorno;

        if(this.hasNext() == true) {
            retorno = pessoas[proximo];
            proximo++;
        }
        else {
            throw new RuntimeException("No existem mais pessoas no iterador ");
        }

        return retorno;
    }

}
