package Fiteiro.Pessoa;

//Title:        Fiteiro Virtual
//Version:
//Copyright:    Copyright (c) 1999
//Author:       Equipe Fiteiro Virtual: Marcelo Dantas(mcd), Bruno Carvalho (bcm), Marcelo Andrade(mrra)
//Company:      UFPE
//Description:

public interface RepositorioPessoas {


    public void inserir(Pessoa pessoa);

    public boolean existe(Pessoa pessoa);

    public void remover(Pessoa pessoa) throws PessoaNaoEncontradaException;

    public Pessoa procurar(Pessoa pessoa) throws PessoaNaoEncontradaException;

    public void atualizar (Pessoa atualPessoa, Pessoa modificadaPessoa) throws PessoaNaoEncontradaException;

    public IteradorPessoas getIterador();

    public RepositorioPessoas procuraPessoas(String nome) throws PessoasNaoEncontradasException;

    public RepositorioPessoas listarTodasPessoas() throws NinguemEncontradoException;
}
