package Fiteiro.Pessoa;

//Title:        Fiteiro Virtual
//Version:
//Copyright:    Copyright (c) 1999
//Author:       Equipe Fiteiro Virtual: Marcelo Dantas(mcd), Bruno Carvalho (bcm), Marcelo Andrade(mrra)
//Company:      UFPE
//Description:

public class Teste {
    public static void main(String[] args) {
        RepositorioPessoasLista rep = new RepositorioPessoasLista();
        CadastroPessoas cadastro = new CadastroPessoas(rep);
        Pessoa p1, p2, p3, p4;
        IteradorPessoas ps = null;

        System.out.println("Iniciando criao e cadastro de:");
        System.out.println("* Marcelo Andrade, cpf: 147258369");
        System.out.println("* Bruno, cpf: 987654321");
        System.out.println("* Vanessa, cpf: 123456789");
        System.out.println("* Marcelo Dantas, cpf: 222444555");

        p1 = new Usuario("Marcelo Andrade","147258369");
        p2 = new Usuario("Bruno","987654321");
        p3 = new Usuario("Vanessa","123456789");
        p4 = new Usuario("Marcelo Dantas", "222444555");

        try {
            cadastro.cadastrar((Usuario)p1);
            cadastro.cadastrar((Usuario)p2);
            cadastro.cadastrar((Usuario)p3);
            cadastro.cadastrar((Usuario)p4);
        }
        catch (PessoaJaCadastradaException e) {
            System.out.println(e.getMessage());
        }


        System.out.println("Pessoas cadastradas com determinada String: ");
        try{
            ps = cadastro.listaPessoas("Marcelo").getIterador();
        }
        catch (PessoasNaoEncontradasException e) {
            System.out.println(e.getMessage());
        }
        if(ps.hasNext() == false) {
            System.out.println("Nao ha pessoas cadastradas com esse Nome");
         } else {
            while(ps.hasNext() == true) {
                System.out.println("* " + ps.next());
            }
       }

        System.out.println("Todas as Pessoas cadastradas: ");
        try{
            ps = cadastro.listarTodasPessoas().getIterador();
        }
        catch (NinguemEncontradoException e) {
            System.out.println(e.getMessage());
        }
        if(ps.hasNext() == false) {
            System.out.println("Nao ha pessoas cadastradas com esse Nome");
         } else {
            while(ps.hasNext() == true) {
                System.out.println("* " + ps.next());
            }
       }


   }
}

