package Fiteiro.Produto;

//Title:        Fiteiro Virtual
//Version:
//Copyright:    Copyright (c) 1999
//Author:       Equipe Fiteiro Virtual: Marcelo Dantas(mcd), Bruno Carvalho (bcm), Marcelo Andrade(mrra)
//Company:      UFPE
//Description:

public class IteradorProdutosArray implements IteradorProdutos {

    private Produto[] produtos;
    private int proximo = 0;    //posiao do proximo elemento na matriz

    public IteradorProdutosArray(Produto[] array) {
        produtos = array;
    }

    public boolean hasNext() {
        boolean retorno = false;

        if(proximo == produtos.length) {
            retorno = false;
        } else {
            retorno = true;
        }

        return retorno;
    }

    public Produto next() {
        Produto retorno;

        if(this.hasNext() == true) {
            retorno = produtos[proximo];
            proximo++;
        }
        else {
            throw new RuntimeException("No existem mais produtos no iterador ");
        }

        return retorno;
    }

}
