package Fiteiro.Util;

//Title:        Fiteiro Virtual
//Version:
//Copyright:    Copyright (c) 1999
//Author:       Equipe Fiteiro Virtual: Marcelo Dantas(mcd), Bruno Carvalho (bcm), Marcelo Andrade(mrra)
//Company:      UFPE
//Description:

public class DadosComplementares {

    /**
    *Telefone da Pessoa
    */
    private String telefone;

    /**
     * Email da Pessoa
     */
    private String email;

     /**
     * Identidade da Pessoa
     */
    private String identidade;

    /*
  	* Contrutor da Classe Dados Complementares
    * @param telefone       	  	telefone da pessoa
    * @param email                  email da pessoa
	* @param identidade 	        identidade da pessoa
    */
    public DadosComplementares(String telefone, String email, String identidade) {
        this.telefone = telefone;
        this.email = email;
        this.identidade = identidade;
    }
        /**
    * Metodo que retorna o telefone da pessoa
    *
    * @return 		uma string referente ao telefone
    */
    public String getTelefone() {
    	return this.telefone;
    }

    /**
    * Metodo que muda o telefone da pessoa
    * @param telefone	telefone da pessoa a ser mudado
    */
    public void setTelefone(String telefone) {
	this.telefone = telefone;
    }

    /**
    * Metodo que retorna o email da pessoa
    *
    * @return 		uma string referente ao email
    */
    public String getEmail() {
    	return this.email;
    }

    /**
    * Metodo que muda o email da pessoa
    * @param email      	email do pessoa a ser mudado
    */
    public void setEmail(String email) {
	this.email = email;
    }

        /**
    * Metodo que retorna a identidade da pessoa
    * @return 		uma string referente ao identidade
    */
    public String getIdentidade() {
    	return this.identidade;
    }

    /**
    * Metodo que muda a identidade da pessoa
    * @param identidade	identidade da pessoa a ser mudada
    */
    public void setIdentidade(String identidade) {
	this.identidade = identidade;
    }
}
